CHistory Class Reference
Basic data strctures and functions

This class holds the complete history list of a data set. More...

`#include <mia/core/history.hh>`

Inherits std::list< CHistoryEntry >.

## Public Member Functions

void | append (const std::string &program, const std::string &version, const CCmdOptionList &options)
std::string | as_string () const

## Static Public Member Functions

static CHistory & | instance ()

## Detailed Description

This class holds the complete history list of a data set.

Todo
  Use it.

Definition at line 42 of file history.hh.

## Member Function Documentation

## append()

void CHistory::append | ( | const std::string & | program,
|  | const std::string & | version,
|  | const CCmdOptionList & | options )

append a new history record

Parameters

  program | name of the calling program
  version | version of the program run
  options | the options used in this call

## as_string()

std::string CHistory::as_string | ( |  | ) | const

Returns
  the complete history as a string.

## instance()

CHistory & CHistory::instance | ( |  | ) |

static

returns the reference to the singelton history object

The documentation for this class was generated from the following file:

- history.hh